Skip to main content
PUT
Update variant basic information

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The store’s unique identifier.

productId
string<uuid>
required

The product’s unique identifier.

variantId
string<uuid>
required

The variant’s unique identifier.

Body

The form containing updated variant fields.

The form used to update a product variant's basic information.

name
string
required

The display name of the variant.

Required string length: 3 - 128
cost
number<double>
required

The cost of the variant (non-negative).

Required range: 0 <= x <= 100000
minimumQuantity
integer<int32>
required

Minimum quantity allowed per order (at least 1).

Required range: 1 <= x <= 100000
maximumQuantity
integer<int32>
required

Maximum quantity allowed per order. Set to -1 for unlimited.

Required range: -1 <= x <= 100000
order
integer<int32>
required

Sort order for display (at least 1).

Required range: 1 <= x <= 10000
type
enum<integer>
required

The type of product that is being sold

Available options:
0,
1
stock
integer<int32>
required

Stock quantity available (non-negative).

Required range: 0 <= x <= 2147483647
stockMode
enum<integer>
required

The stock calculation modes that are used

Available options:
0,
1,
2
disableVolumeDiscountOnCoupon
boolean
required

When true, volume discounts are disabled if a coupon is applied to the order.

randomizeKeyDelivery
boolean
required

When true, license keys are selected randomly from inventory instead of FIFO order.

description
string | null

Optional description shown to customers for this variant.

Maximum string length: 4096
billingInterval
enum<integer>

The billing interval for a subscription product

Available options:
0,
1,
2,
3,
4
customIntervalDays
integer<int32> | null

Custom interval in days when BillingInterval is set to Custom.

Response

The object was successfully updated.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

Represents a configurable variant associated with a product, containing various properties such as pricing, stock, delivery options, and custom fields.

Last modified on August 29, 2025